Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.helper
Class LogHelper

    java.lang.Object
      com.ssaglobal.generator.helper.LogHelper

    public class LogHelper

extends java.lang.Object

Helper class that exposes the Eclipse logging/marker functions to the templates

Constructor Summary
`LogHelper()`

Method Summary
`void` | `error(org.eclipse.emf.ecore.EObject object, java.lang.String message)` Log an error message and attach an error marker to a model object
`static java.lang.Object` | `getInstance(GeneratorLog log, org.eclipse.emf.ecore.EObject object, GeneratorControlArea controlData)` Return a HashMap containing the GeneratorProperty key/value pairs from the GenerateRequestApplicationControlData
`void` | `warn(org.eclipse.emf.ecore.EObject object, java.lang.String message)` Log a warning message and attach a warning marker to a model object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogHelper

    public LogHelper()

Method Detail

### getInstance

    public static java.lang.Object getInstance(GeneratorLog log,
                                               org.eclipse.emf.ecore.EObject object,
                                               GeneratorControlArea controlData)

  Return a HashMap containing the GeneratorProperty key/value pairs from the GenerateRequestApplicationControlData

  Parameters:
    `log` - Generator logging
    `object` - current EObject being processed (required parameter for the getInstance method)
    `controlData` - the control element containing the properties to be exposed to the template
  Returns:
    PropertiesHelper Instance

### warn

    public void warn(org.eclipse.emf.ecore.EObject object,
                     java.lang.String message)

  Log a warning message and attach a warning marker to a model object

  Parameters:
    `object` -
    `message` -

### error

    public void error(org.eclipse.emf.ecore.EObject object,
                      java.lang.String message)

  Log an error message and attach an error marker to a model object

  Parameters:
    `object` -
    `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD